<?php 

	$fish_aquarium_shop_custom_style = '';

	// Logo Size
	$fish_aquarium_shop_logo_top_padding = get_theme_mod('fish_aquarium_shop_logo_top_padding');
	$fish_aquarium_shop_logo_bottom_padding = get_theme_mod('fish_aquarium_shop_logo_bottom_padding');
	$fish_aquarium_shop_logo_left_padding = get_theme_mod('fish_aquarium_shop_logo_left_padding');
	$fish_aquarium_shop_logo_right_padding = get_theme_mod('fish_aquarium_shop_logo_right_padding');

	if( $fish_aquarium_shop_logo_top_padding != '' || $fish_aquarium_shop_logo_bottom_padding != '' || $fish_aquarium_shop_logo_left_padding != '' || $fish_aquarium_shop_logo_right_padding != ''){
		$fish_aquarium_shop_custom_style .=' .logo {';
			$fish_aquarium_shop_custom_style .=' padding-top: '.esc_attr($fish_aquarium_shop_logo_top_padding).'px; padding-bottom: '.esc_attr($fish_aquarium_shop_logo_bottom_padding).'px; padding-left: '.esc_attr($fish_aquarium_shop_logo_left_padding).'px; padding-right: '.esc_attr($fish_aquarium_shop_logo_right_padding).'px;';
		$fish_aquarium_shop_custom_style .=' }';
	}

	$fish_aquarium_shop_logo_size = get_theme_mod('fish_aquarium_shop_logo_size');
	if( $fish_aquarium_shop_logo_size != '' ) {
		if($fish_aquarium_shop_logo_size >= 0 && $fish_aquarium_shop_logo_size <= 100) {
			$calculated_width = $fish_aquarium_shop_logo_size * 3.5;
			$fish_aquarium_shop_custom_style .= ' .custom-logo-link img {';
			$fish_aquarium_shop_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$fish_aquarium_shop_custom_style .= ' }';
		}
	}

	//layout width
	$fish_aquarium_shop_boxfull_width = get_theme_mod('fish_aquarium_shop_boxfull_width');
	if ($fish_aquarium_shop_boxfull_width !== '') {
		switch ($fish_aquarium_shop_boxfull_width) {
			case 'container':
				$fish_aquarium_shop_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$fish_aquarium_shop_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$fish_aquarium_shop_dropdown_anim = get_theme_mod('fish_aquarium_shop_dropdown_anim');

	if ( $fish_aquarium_shop_dropdown_anim != '') {
		$fish_aquarium_shop_custom_style .=' .nav-menu ul ul {';
			$fish_aquarium_shop_custom_style .=' animation:'.esc_attr($fish_aquarium_shop_dropdown_anim).' 1s ease;';
		$fish_aquarium_shop_custom_style .=' }';
	}

	// Header Image
	$header_image_url = fish_aquarium_shop_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$fish_aquarium_shop_custom_style .=' #inner-pages-header {';
			$fish_aquarium_shop_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$fish_aquarium_shop_custom_style .=' }';
	} else {
		$fish_aquarium_shop_custom_style .=' #inner-pages-header {';
			$fish_aquarium_shop_custom_style .=' background: #dad6d6; ';
		$fish_aquarium_shop_custom_style .=' }';
		$fish_aquarium_shop_custom_style .=' #inner-pages-header .slidoly {';
			$fish_aquarium_shop_custom_style .=' display: none; ';
		$fish_aquarium_shop_custom_style .=' }';
	}

	$fish_aquarium_shop_slider_hide_show = get_theme_mod('fish_aquarium_shop_slider_hide_show',false);
	if( $fish_aquarium_shop_slider_hide_show == true){
		$fish_aquarium_shop_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$fish_aquarium_shop_custom_style .=' display:none;';
		$fish_aquarium_shop_custom_style .=' }';
	}

	//Slider css
	$fish_aquarium_shop_slider_font_size = get_theme_mod('fish_aquarium_shop_slider_font_size');
	if ( $fish_aquarium_shop_slider_font_size != '') {
		$fish_aquarium_shop_custom_style .=' #slider h2 a {';
			$fish_aquarium_shop_custom_style .=' font-size:'.esc_attr($fish_aquarium_shop_slider_font_size).'px;';
		$fish_aquarium_shop_custom_style .=' }';
	}

	$fish_aquarium_shop_slider_text_font_size = get_theme_mod('fish_aquarium_shop_slider_text_font_size');
	if ( $fish_aquarium_shop_slider_text_font_size != '') {
		$fish_aquarium_shop_custom_style .=' #slider p {';
			$fish_aquarium_shop_custom_style .=' font-size:'.esc_attr($fish_aquarium_shop_slider_text_font_size).'px;';
		$fish_aquarium_shop_custom_style .=' }';
	}

	$fish_aquarium_shop_slider_color = get_theme_mod('fish_aquarium_shop_slider_color');
	if ( $fish_aquarium_shop_slider_color != '') {
		$fish_aquarium_shop_custom_style .=' #slider h2 a, #slider p {';
			$fish_aquarium_shop_custom_style .=' color:'.esc_attr($fish_aquarium_shop_slider_color).';';
		$fish_aquarium_shop_custom_style .=' }';
	}

	//About us color
	$fish_aquarium_shop_service_icon_color = get_theme_mod('fish_aquarium_shop_service_icon_color');

	if ( $fish_aquarium_shop_service_icon_color != '') {
		$fish_aquarium_shop_custom_style .=' .service-icon i {';
			$fish_aquarium_shop_custom_style .=' color:'.esc_attr($fish_aquarium_shop_service_icon_color).';';
		$fish_aquarium_shop_custom_style .=' }';
	}

	$fish_aquarium_shop_service_text_color = get_theme_mod('fish_aquarium_shop_service_text_color');

	if ( $fish_aquarium_shop_service_text_color != '') {
		$fish_aquarium_shop_custom_style .=' #about-section h4 a {';
			$fish_aquarium_shop_custom_style .=' color:'.esc_attr($fish_aquarium_shop_service_text_color).';';
		$fish_aquarium_shop_custom_style .=' }';
	}